Subject: Re: probs porting ssh
From: [email-masked] (aspa)

18 Feb 1997 06:34:29 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.SOL.3.91.970218134158.6190A-100000.cygnus.gnu-win32@hydra>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: masplund@hydra
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

i've also given it a try.

On Mon, 17 Feb 1997, Sheik wrote:

>    getsockopt() doesn't seem to be implemented? or it can't be found in the
> library, altho the .h files define it.  setsockopt() seems to be 
> implemented...

no.

>   another problem in the main client loop. using select().  ssh sets up
> 2 flags on the socket, TCP_NODELAY, this one appears to work and be set
> correctly. but the flag IPTOS_LOWDELAY, the socket returns that it isn't
> implemented yet. which is cool, I just removed that set, but unfortunely, 
> when I do that, when select() see's that socket, it returns a bogus error
> of "No such file of directory".

the problem is that cygwin32 select() doesn't support simultanious
reads/writes from/to sockets and handles - yet. this is a severe problem
in porting ssh. 

> If anyone has solved this prob, or has actually done the ssh port, I sure
> would love to hear how ya did it =)

how did you come by the problems with tcgetattr(), tcsetattr()?

--
		aspa

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".